#!/usr/bin/env tixwish

# Tix tutorial
# http://tix.sourceforge.net/tixtutorial/sld009.htm

tixControl .c -variable pcnt -value 100% \
		-validatecmd Validate -command Cmd
pack .c

proc Validate {v} {
	regsub {%} $v "" v
	if [catch {set v [expr int($v)]% }] {
		set v 100%
	}
	return $v
}

proc Cmd {v} {puts "you have selected $v"}
