#!/usr/bin/env ruby

require "tk"

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

oval = TkcOval.new(c1, 10, 10, 20, 20) {
  fill 'blue'
}

c1.bind('Button-1', proc { c1.move(oval, 10, 10) })
c1.bind('Button-3', proc { c1.move(oval, -10, -10) })

TkButton.new {
  text 'c1.coords(oval)'
  command proc { print c1.coords(oval).join(" "), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text 'c1.coords(oval, 10, 10, 20, 20)'
  command proc { c1.coords(oval, 10, 10, 20, 20)  }
  pack('fill' => 'x')
}

Tk.mainloop
