#!/usr/bin/env ruby

require "tk"

#class TkCanvas
#  def delete(*args)
#    args.each{|tag| tk_send 'delete', tagid(tag)}
#  end
#end

class TkCanvas
  def delete(*tags)
	tk_send 'delete', *tags.collect{|tag| tagid(tag)}
  end
end

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

oval1 = TkcOval.new(c1, 10, 10, 20, 20) {
  fill 'blue'
}

oval2 = TkcOval.new(c1, 110, 110, 120, 120) {
  fill 'blue'
}

TkButton.new {
  text 'c1.delete(oval1)'
  command proc { c1.delete(oval1) }
  pack('fill' => 'x')
}

TkButton.new {
  text 'c1.delete(oval1, oval2)'
  command proc { c1.delete(oval1, oval2) }
  pack('fill' => 'x')
}

Tk.mainloop
