#!/usr/bin/env ruby

require "tk"

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

oval1 = TkcOval.new(c1, 10, 10, 20, 20) {
  fill 'blue'
  tags ['fig', 'oval']
}

rect1 = TkcRectangle.new(c1, 110, 110, 120, 120) {
  fill 'blue'
  tags 'fig'
}

TkButton.new {
  text "c1.gettags(oval1)"
  command proc { print c1.gettags(oval1).join(" "), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.gettags(rect1)"
  command proc { print c1.gettags(rect1).join(" "), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.gettags('fig')"
  command proc { print c1.gettags('fig').join(" "), "\n" }
  pack('fill' => 'x')
}

Tk.mainloop
