#!/usr/bin/env perl

use Tk;

$mw = new MainWindow;

$s1 = $mw->Scrollbar(-orient => 'vertical');
$s2 = $mw->Scrollbar(-orient => 'horizontal');
$c1 = $mw->Canvas(-width => 200, -height => 200,
				  -xscrollcommand => ['set', $s2],
				  -yscrollcommand => ['set', $s1],
				  -scrollregion => [0, 0, 100, 100],
				  -confine => $v);
$b1 = $mw->Checkbutton(-text => "confine yes", -onvalue => 'yes', -offvalue => 'no',
					   -variable => \$v, -command => sub { $c1->configure(-confine => $v); });
$s1->pack(-side => 'right', -fill => 'y');
$s2->pack(-side => 'bottom', -fill => 'x');
$b1->pack(-side => 'bottom');
$c1->pack();

$s1->configure(-command => ['yview', $c1]);
$s2->configure(-command => ['xview', $c1]);

$c1->createOval(10, 10, 20, 20, -fill => 'red');
$c1->createOval(100, 100, 110, 110, -fill => 'green');
$c1->createOval(200, 200, 210, 210, -fill => 'blue');

MainLoop;
