#!/usr/bin/env ruby

require "tk"

v1 = TkVariable.new
v2 = TkVariable.new
v3 = TkVariable.new

b1 = TkCheckButton.new {
  text "CheckButton 1"
  variable v1
  onvalue 1
  offvalue 9
  command proc { print v1, " ", v2, " ", v3, "\n" }
  pack
}

b2 = TkCheckButton.new {
  text "CheckButton 2"
  variable v2
  onvalue 2
  offvalue 9
  command proc { print v1, " ", v2, " ", v3, "\n" }
  pack
}

b3 = TkCheckButton.new {
  text "CheckButton 3"
  variable v3
  onvalue 3
  offvalue 9
  command proc { print v1, " ", v2, " ", v3, "\n" }
  pack
}

b1.select
b2.select
b3.select

b1.toggle
#b1.toggle

Tk.mainloop
