#!/usr/bin/env ruby

require "tk"

# Ruby/Tk (ruby-1.6.2 bug?)
# [ruby-list:28492]
class TkEntry
  def selection_present()
#    number(tk_send('selection', 'present')) == 1
	bool(tk_send('selection', 'present'))
  end
end

e = TkVariable.new("Selection Test")

e1 = TkEntry.new {
  textvariable e
  pack
}

TkButton.new {
  text "e1.selection_from(2)"
  command proc { e1.selection_from(2) }
  pack('fill' => 'x')
}

TkButton.new {
  text "e1.selection_to('end')"
  command proc { e1.selection_to('end') }
  pack('fill' => 'x')
}

TkButton.new {
  text "e1.selection_range(0, 'end')"
  command proc { e1.selection_range(0, 'end') }
  pack('fill' => 'x')
}

TkButton.new {
  text "e1.selection_clear()"
  command proc { e1.selection_clear() }
  pack('fill' => 'x')
}

TkButton.new {
  text "e1.selection_present"
  command proc { print e1.selection_present, "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "e1.selection_adjust()"
  command proc { e1.selection_adjust(4) }
  pack('fill' => 'x')
}

Tk.mainloop
