#!/usr/bin/env perl

use Tk;

$mw = new MainWindow;

$xbm_off = "
#define selectimage2_width 16
#define selectimage2_height 16
static unsigned char selectimage2_bits[] = {
   0x07, 0x80, 0x07, 0xc0, 0x0e, 0xe0, 0x1c, 0xf0, 0x38, 0x78, 0x78, 0x3e,
   0x70, 0x1f, 0xe0, 0x0f, 0xc0, 0x07, 0xe0, 0x07, 0xf0, 0x07, 0xf8, 0x0f,
   0x3e, 0x1f, 0x1f, 0x3e, 0x0f, 0x7c, 0x07, 0xf8};";
$xbm_on = "
#define selectimage_width 16
#define selectimage_height 16
static unsigned char selectimage_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x07, 0x06, 0x18, 0x03, 0x20,
   0x01, 0x40, 0x01, 0xc0, 0x01, 0x80, 0x01, 0x80, 0x01, 0x80, 0x03, 0xc0,
   0x02, 0x20, 0x0c, 0x30, 0xf0, 0x18, 0x80, 0x07};";

$img_off = $mw->Bitmap(-data => $xbm_off);
$img_on = $mw->Bitmap(-data => $xbm_on);

$m1 = $mw->Menu();
$mw->configure(-menu => $m1);

$m1->add('cascade', -label => 'File');

$i1 = $m1->Menu();
$m1->entryconfigure('File', -menu => $i1);

$i1->add('command', -label => "Open", -command => sub { print "Open\n"; });
$i1->add('checkbutton', -command => sub { print "Check\n"; },
		 -indicatoron => 'off', -selectimage => $img_on, -image => $img_off);
$i1->add('command', -label => "Exit", -command => sub { exit });

MainLoop;
