#!/usr/bin/env ruby

require "tk"

xbm_off = "
#define selectimage2_width 16
#define selectimage2_height 16
static unsigned char selectimage2_bits[] = {
   0x07, 0x80, 0x07, 0xc0, 0x0e, 0xe0, 0x1c, 0xf0, 0x38, 0x78, 0x78, 0x3e,
   0x70, 0x1f, 0xe0, 0x0f, 0xc0, 0x07, 0xe0, 0x07, 0xf0, 0x07, 0xf8, 0x0f,
   0x3e, 0x1f, 0x1f, 0x3e, 0x0f, 0x7c, 0x07, 0xf8};
"
xbm_on = "
#define selectimage_width 16
#define selectimage_height 16
static unsigned char selectimage_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x07, 0x06, 0x18, 0x03, 0x20,
   0x01, 0x40, 0x01, 0xc0, 0x01, 0x80, 0x01, 0x80, 0x01, 0x80, 0x03, 0xc0,
   0x02, 0x20, 0x0c, 0x30, 0xf0, 0x18, 0x80, 0x07};
"

img_off = TkBitmapImage.new {
  data xbm_off
}
img_on = TkBitmapImage.new {
  data xbm_on
}

TkMenubutton.new {
  text 'File'
  menu TkMenu.new(self) {
	add "command", {'label' => "Open", 'command' => proc { print "Open\n" }}
	add "checkbutton", {'command' => proc { print "Check\n" },
	  'indicatoron' => 'off', 'selectimage' => img_on, 'image' => img_off}
	add "command", {'label' => "Exit", 'command' => proc { exit }}
  }
  pack
}

Tk.mainloop
