#!/usr/bin/env ruby

require "tk"

$relief =['flat', 'groove', 'raised', 'ridge', 'solid', 'sunken'];
$index = 0

l1 = TkListbox.new {
  pack('side' => 'left',  'fill' => 'y')
}

s1 = TkScrollbar.new {
  command proc {|arg| l1.yview *arg}
  activerelief $relief[$index]
  pack('side' => 'left',  'fill' => 'y')
}

l1.configure('yscrollcommand' => proc {|arg| s1.set *arg})

for i in 0...20
  l1.insert('end', "item#{i}")
end


TkButton.new() {
  text $relief[$index]
  command proc {
	if $index < 5
	  $index += 1
	else
	  $index = 0
	end
	s1.configure('activerelief' => $relief[$index])
	self.configure('text' => $relief[$index])
  }
  pack('side' => 'bottom')
}

Tk.mainloop
