#!/usr/bin/env tixwish

# Tix Tutorial
# http://tix.sourceforge.net/tixtutorial/sld029.htm

tixCheckList .h -options {
	hlist.separator /
	hlist.drawBranch 1
	hlist.indent 20
}
pack .h

set hlist [.h subwidget hlist]

# examples/samples/HList1.tcl
set folder {
#define foo_width 16
#define foo_height 12
static unsigned char foo_bits[] = {
   0x00, 0x00, 0x00, 0x3e, 0xfe, 0x41, 0x02, 0x40, 0x02, 0x40, 0x02, 0x40,
   0x02, 0x40, 0x02, 0x40, 0x02, 0x40, 0x02, 0x40, 0xfe, 0x7f, 0x00, 0x00};}

set img [image create bitmap -data $folder]

foreach dir {/ /dev /usr /usr/local /var} {
	$hlist add $dir -itemtype imagetext \
			-image $img -text $dir
}

.h setstatus / off
.h setstatus /dev on
.h setstatus /var default

#set selected [.h getstatus on]
