#!/usr/bin/env perl

use Tk;

$mw = new MainWindow;

$c1 = $mw->Canvas(-width => 200, -height => 200);
$c1->pack();

$oval1 = $c1->createOval(10, 10, 20, 20, -fill => 'blue', -tags => ['fig', 'oval']);
$rect1 = $c1->createRectangle(110, 110, 120, 120, -fill => 'blue', -tags => 'fig');


$b1 = $mw->Button(-text => '$c1->dtag(oval1, oval)', -background => 'green',
			 -command => sub { $c1->dtag($oval1, 'oval'); });
$b1->pack('fill' => 'x');

# ?
$b2 = $mw->Button(-text => '$c1->dtag(oval1)', -background => 'green',
			 -command => sub { $c1->dtag($oval1); });
$b2->pack('fill' => 'x');

$b3 = $mw->Button(-text => '$c1->dtag(fig, oval)', -background => 'green',
			 -command => sub { $c1->dtag('fig', 'oval'); });
$b3->pack('fill' => 'x');

$b4 = $mw->Button(-text => '$c1->dtag(fig)', -background => 'green',
			 -command => sub { $c1->dtag('fig'); });
$b4->pack('fill' => 'x');

$b5 = $mw->Button(-text => '$c1->gettags(oval1)',
			 -command => sub { print join(" ", $c1->gettags($oval1)), "\n"; });
$b5->pack('fill' => 'x');

$b6 = $mw->Button(-text => '$c1->gettags(rect1)',
			 -command => sub { print join(" ", $c1->gettags($rect1)), "\n"; });
$b6->pack('fill' => 'x');

$b7 = $mw->Button(-text => '$c1->gettags(fig)',
			 -command => sub { print join(" ", $c1->gettags('fig')), "\n"; });
$b7->pack('fill' => 'x');

MainLoop;
