#!/usr/bin/env perl

use Tk;

$mw = new MainWindow;

$m1 = $mw->Menu();
$mw->configure(-menu => $m1);

$m1->add('cascade', -label => 'File');

$i1 = $m1->Menu();
$m1->entryconfigure('File', -menu => $i1);

$i1->add('command', -label => "Open", -command => sub { print "Open\n"; },
		 'accelerator' => 'Ctrl+O');
$i1->add('command', -label => "Exit", -command => sub { exit },
		 'accelerator' => 'Ctrl+Q');

$mw->bind("<Control-o>", sub { $i1->invoke(1) });
$mw->bind("<Control-q>", sub { $i1->invoke(2) });

MainLoop;
