#!/usr/bin/env ruby

require "tk"

mb = TkMenubutton.new {
  text 'File'
  pack
}

m1 = TkMenu.new(mb) {
  add "command", {'label' => "Open", 'command' => proc { print "Open\n" }, 'accelerator' => 'Ctrl+O'}
  add "command", {'label' => "Exit", 'command' => proc { exit }, 'accelerator' => 'Ctrl+Q'}
}

mb.configure('menu' => m1)

Tk.root.bind('Control-o', proc { m1.invoke(1) })
Tk.root.bind('Control-q', proc { m1.invoke(2) })

Tk.mainloop
