#!/usr/bin/env ruby

require "tk"

xbm_off = "
#define selectimage1_width 32
#define selectimage1_height 32
static unsigned char selectimage1_bits[] = {
   0x03, 0x00, 0x00, 0xc0, 0x07, 0x00, 0x00, 0xe0, 0x1f, 0x00, 0x00, 0x70,
   0x3c, 0x00, 0x00, 0x38, 0x78, 0x00, 0x00, 0x1c, 0xf0, 0x00, 0x00, 0x0f,
   0xe0, 0x01, 0x80, 0x07, 0xe0, 0x03, 0x80, 0x07, 0xc0, 0x07, 0x80, 0x03,
   0x80, 0x0f, 0xc0, 0x01, 0x00, 0x1f, 0xe0, 0x00, 0x00, 0x1e, 0x70, 0x00,
   0x00, 0x3c, 0x3c, 0x00, 0x00, 0x78, 0x1e, 0x00, 0x00, 0x70, 0x0f, 0x00,
   0x00, 0xe0, 0x07, 0x00, 0x00, 0xc0, 0x03, 0x00, 0x00, 0xc0, 0x07, 0x00,
   0x00, 0xe0, 0x0f, 0x00, 0x00, 0xf0, 0x1e, 0x00, 0x00, 0x78, 0x3c, 0x00,
   0x00, 0x3c, 0x38, 0x00, 0x00, 0x1e, 0x70, 0x00, 0x00, 0x07, 0xe0, 0x00,
   0x80, 0x03, 0xc0, 0x01, 0xe0, 0x01, 0x80, 0x03, 0xe0, 0x00, 0x00, 0x0f,
   0x78, 0x00, 0x00, 0x1e, 0x3c, 0x00, 0x00, 0x3c, 0x1e, 0x00, 0x00, 0x38,
   0x07, 0x00, 0x00, 0x70, 0x03, 0x00, 0x00, 0xe0};
"

flagup = TkBitmapImage.new {
  file [Tk::TK_LIBRARY, 'demos', 'images', 'letters.bmp'].join(File::Separator)
}
flagdown = TkBitmapImage.new {
  file [Tk::TK_LIBRARY, 'demos', 'images', 'noletter.bmp'].join(File::Separator)
}
img_off = TkBitmapImage.new {
  data xbm_off
}

TkRadioButton.new {
  indicatoron 'off'
  value 1
  image img_off
  selectimage flagup
  pack
}

TkRadioButton.new {
  indicatoron 'off'
  value 2
  image img_off
  selectimage flagdown
  pack
}

Tk.mainloop
