#!/usr/bin/env perl

use Tk;

@relief =('flat', 'groove', 'raised', 'ridge', 'solid', 'sunken');


$mw = new MainWindow;

$l1 = $mw->Listbox();
$l1->pack(-side => 'left', -fill => 'y');

$s1 = $mw->Scrollbar(-command => ['yview', $l1],
					 -activerelief => $relief[$index]);
$s1->pack(-side => 'left', -fill => 'y');

$l1->configure(-yscrollcommand => ['set', $s1]);

for ($i = 0; $i < 20; $i++) {
	$l1->insert('end', "item$i");
}

sub loop
{
	if ($index < 5) {
		$index++;
	} else {
		$index = 0;
	}
	$s1->configure(-activerelief => $relief[$index]);
	$b1->configure(-text => $relief[$index]);
}

$b1 = $mw->Button(-text => $relief[$index],
				  -command => \&loop );
$b1->pack(-side => 'bottom');

MainLoop;
