#!/usr/bin/env wish

set relief(0) flat
set relief(1) groove
set relief(2) raised
set relief(3) ridge
set relief(4) solid
set relief(5) sunken

set index 0

listbox .l1 -yscrollcommand ".s1 set"
scrollbar .s1 -command ".l1 yview" -activerelief $relief($index)
pack .l1 .s1 -side left -fill y

for { set i 0 } { $i < 20 } { incr i } {
	.l1 insert end item$i
}

proc loop {} {
	global relief index

	if { $index < 5 } {
		incr index
	} else {
		set index 0
	}
	.s1 configure -activerelief $relief($index)
	.b1 configure -text $relief($index)
}

button .b1 -text $relief($index) -command { loop }
pack .b1 -side bottom
