#!/usr/bin/env ruby

require "tk"

class TkText
  def mark_next(index)
    tagid2obj(tk_send('mark', 'next', index))
  end
end

t1 = TkText.new {
  pack
}

for i in 0...10
  t1.insert('end', "Line#{i}\n")
end

TkButton.new {
  text "t1.mark_next('2.5')"
  command proc { print t1.mark_next('2.5'), "\n" }
  pack('side' => 'left')
}

TkButton.new {
  text "t1.mark_names()"
  command proc { print t1.mark_names().join(" "), "\n" }
  pack('side' => 'left')
}

Tk.mainloop
